GuideLab API

Assign scan inbox item to existing order

Assign a scan inbox item to an existing order. Downloads attachments from the scanner (e.g. 3Shape) and uploads them as order files. Lab only.

POST
/scan-inbox/{id}/assign

Assign a scan inbox item to an existing order. Downloads attachments from the scanner (e.g. 3Shape) and uploads them as order files. Lab only.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/scan-inbox/550e8400-e29b-41d4-a716-446655440000/assign" \  -H "Content-Type: application/json" \  -d '{    "orderId": "string"  }'
{  "orderId": "string",  "orderNumber": "string",  "fileCount": 0}
Empty
Empty
Empty
Empty
Empty
Empty